package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyOrderFoodDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 长者报餐记录 Service 接口
 */
public interface ElderlyOrderFoodService {

    String create(List<ElderlyOrderFoodCommitVO> voList);

    void update(@Valid ElderlyOrderFoodDO updateReqVO);

    void delete(Long id);

    List<ElderlyOrderFoodGetResVO> get(ElderlyOrderFoodGetReqVO reqVO);

    PageResult<ElderlyOrderFoodRespVO> getPage(ElderlyOrderFoodPageReqVO pageReqVO);

    List<ElderOrderFoodExportExcelVO> getList(ElderlyOrderFoodPageReqVO reqVO);
}

